io.undertow

## Interface UndertowMessages

All Known Implementing Classes:
  UndertowMessages_$bundle

    @MessageBundle(projectCode="UT")
    public interface UndertowMessages

Author:
  Stuart Douglas

### Field Summary

Fields
`static UndertowMessages` `MESSAGES`

### Method Summary

All Methods Instance Methods Abstract Methods
`IllegalStateException` `ajpRequestAlreadyInProgress()`
`IllegalArgumentException` `argumentCannotBeNull(String argument)`
`String` `authenticationFailed(String userName)`
`IllegalStateException` `authenticationPropertyNotSet(String name, String header)`
`IllegalStateException` `authMechanismOutcomeNull()`
`IOException` `awaitCalledFromIoThread()`
`BadRequestException` `badRequest()`
`IllegalStateException` `blockingIoFromIOThread()`
`org.xnio.channels.ReadTimeoutException` `blockingReadTimedOut(long timeoutNanoseconds)`
`org.xnio.channels.WriteTimeoutException` `blockingWriteTimedOut(long timeoutNanoseconds)`
`IllegalStateException` `bodyIsSetAndNotReadyForFlush()`
`IllegalStateException` `bufferAlreadyFreed()`
`IllegalArgumentException` `bufferPoolTooSmall(int minSize)`
`IllegalStateException` `cannotResetBuffer()`
`IOException` `cannotSendContinueResponse()`
`IllegalStateException` `canOnlyBeCalledByIoThread()`
`ClosedChannelException` `channelIsClosed()`
`IOException` `chunkedChannelClosedMidChunk()`
`IOException` `chunkSizeTooLarge()`
`IOException` `connectionTerminatedReadingMultiPartData()`
`IllegalStateException` `connectNotSupported()`
`IOException` `controlFrameCannotHaveBodyContent()`
`IOException` `couldNotDecodeTrailers()`
`IllegalStateException` `couldNotFindSessionCookieConfig()`
`RuntimeException` `couldNotGenerateUniqueSessionId()`
`IllegalArgumentException` `couldNotParseCookie(String headerValue)`
`RuntimeException` `couldNotParseUriTemplate(String path, int i)`
`IOException` `couldNotReadContentLengthData()`
`String` `couldNotSetAttribute(String attributeName, String newValue)`
`IllegalStateException` `dataAlreadyQueued()`
`IllegalArgumentException` `datasourceNotFound(String ds)`
`IllegalStateException` `defaultContextCannotBeNull()`
`SSLException` `duplicatedSniServerName(int type)`
`SSLException` `emptyHostNameSni()`
`IllegalArgumentException` `errorParsingPredicateString(String reason, String s)`
`IllegalStateException` `exchangeAlreadyComplete()`
`SSLHandshakeException` `expectedClientHello()`
`String` `expectedContinuationFrame()`
`SSLHandshakeException` `expectedServerHello()`
`IOException` `extraDataWrittenAfterChunkEnd()`
`String` `failedToDecodeParameterName(String parameter, Exception e)`
`String` `failedToDecodeParameterValue(String parameter, String value, Exception e)`
`UrlDecodeException` `failedToDecodeURL(String s, String enc, Exception e)`
`RuntimeException` `failedToInitializePathManager(String path, IOException ioe)`
`RuntimeException` `failedToParsePath()`
`SSLException` `failedToReplaceHashOutputStream(Exception e)`
`RuntimeException` `failedToReplaceHashOutputStreamOnWrite(Exception e)`
`IllegalStateException` `failedToSendAfterBeingSafe()`
`IllegalStateException` `fixedLengthOverflow()`
`IllegalStateException` `formValueIsAFile()`
`IllegalStateException` `formValueIsAString()`
`IllegalStateException` `formValueIsInMemoryFile()`
`IllegalArgumentException` `handlerCannotBeNull()`
`IllegalStateException` `handlerNotShutdown()`
`IllegalArgumentException` `hashAlgorithmNotFound(String algorithmName)`
`String` `headerBlockTooLarge()`
`IOException` `headerSizeToLarge()`
`IOException` `headersStreamCanOnlyBeCreatedByClient()`
`RuntimeException` `hostAlreadyRegistered(Object host)`
`RuntimeException` `hostHasNotBeenRegistered(Object host)`
`HpackException` `hpackFailed()`
`IOException` `http2ContinuationFrameNotExpected()`
`IOException` `http2FrameTooLarge()`
`IOException` `http2PriRequestFailed()`
`IOException` `http2StreamWasReset()`
`RuntimeException` `http2TrailerToLargeForSingleBuffer()`
`String` `httpPingDataMustBeLength8()`
`HpackException` `huffmanEncodedHpackValueDidNotEndWithEOS()`
`String` `incorrectFrameSize()`
`IOException` `incorrectHttp2Preface()`
`HpackException` `integerEncodedOverTooManyOctets(int maxIntegerOctets)`
`IllegalArgumentException` `invalidACLAddress(Exception e)`
`IllegalArgumentException` `invalidAclRule(String rule)`
`IllegalArgumentException` `invalidBase64Token(IOException cause)`
`String` `invalidCharacterInRequestTarget(char next)`
`IllegalArgumentException` `invalidControlCharacter(String value)`
`IllegalArgumentException` `invalidCookieDomain(String value)`
`IllegalArgumentException` `invalidCookiePath(String value)`
`IllegalArgumentException` `invalidCookieValue(String value)`
`IllegalArgumentException` `invalidEscapeCharacter()`
`IOException` `invalidGZIPFooter()`
`IOException` `invalidGzipHeader()`
`SSLHandshakeException` `invalidHandshakeRecord()`
`IllegalArgumentException` `invalidHeader()`
`IllegalArgumentException` `invalidHeaders()`
`HpackException` `invalidHpackEncoding(byte b)`
`HpackException` `invalidHpackIndex(int index)`
`IOException` `invalidIpAddress(String addressString)`
`IllegalArgumentException` `invalidNonceReceived()`
`String` `invalidPingSize()`
`IOException` `invalidProxyHeader()`
`IllegalArgumentException` `invalidSameSiteMode(String mode, String validAttributes)`
`SSLException` `invalidTlsExt()`
`IllegalArgumentException` `invalidToken(byte c)`
`IllegalArgumentException` `listenerAlreadyRegistered(String name)`
`IllegalStateException` `matcherAlreadyContainsTemplate(String templateString, String templateString1)`
`MultiPartParserDefinition.FileTooLargeException` `maxFileSizeExceeded(long maxIndividualFileSize)`
`IllegalArgumentException` `maximumConcurrentRequestsMustBeLargerThanZero()`
`RuntimeException` `mcmpMessageRejectedDueToSuspiciousCharacters(String data)`
`RuntimeException` `mismatchedBraces(String valueString)`
`IllegalStateException` `moreThanOneHandlerWithName(String name, Class<? extends HandlerBuilder> aClass, Class<? extends HandlerBuilder> existing)`
`IOException` `moreThanOneHostHeader()`
`IllegalStateException` `moreThanOnePredicateWithName(String name, Class<? extends PredicateBuilder> aClass, Class<? extends PredicateBuilder> existing)`
`SSLHandshakeException` `multiRecordSSLHandshake()`
`IllegalArgumentException` `newlineNotSupportedInHttpString(String value)`
`SSLException` `noContextForSslConnection()`
`IOException` `noHostInHttp11Request()`
`IllegalStateException` `noRequestActive()`
`IllegalStateException` `noSessionData()`
`IllegalStateException` `notAConnectRequest()`
`IllegalStateException` `notAnUpgradeRequest()`
`IllegalArgumentException` `notAValidIpPattern(String peer)`
`IllegalArgumentException` `notAValidRegularExpressionPattern(String pattern)`
`SSLException` `notEnoughData()`
`SSLHandshakeException` `notHandshakeRecord()`
`IOException` `noWindowUpdate(long timeoutMiliseconds)`
`IllegalStateException` `objectIsClosed()`
`IllegalStateException` `objectWasFreed()`
`IllegalStateException` `outOfBandResponseNotSupported()`
`IllegalArgumentException` `outOfBandResponseOnlyAllowedFor100Continue()`
`IOException` `parserDidNotMakeProgress()`
`IOException` `pathElementIsRegularFile(Path path)`
`IllegalArgumentException` `pathMustBeSpecified()`
`IOException` `pathNotADirectory(Path path)`
`SSLPeerUnverifiedException` `peerUnverified()`
`IOException` `pingNotSupported()`
`IOException` `pingTimeout()`
`IllegalStateException` `poolIsClosed()`
`IOException` `proxyConnectionFailed(int responseCode)`
`String` `pseudoHeaderInWrongOrder(HttpString header)`
`IOException` `pushPromiseCanOnlyBeCreatedByServer()`
`org.xnio.channels.ReadTimeoutException` `readTimedOut(long timeoutMilliseconds)`
`IllegalStateException` `reasonPhraseToLargeForBuffer(String phrase)`
`RuntimeException` `recursiveCallToFlushingSenders()`
`IOException` `renegotiationNotSupported()`
`IllegalStateException` `rengotiationFailed()`
`IllegalStateException` `rengotiationTimedOut()`
`IllegalStateException` `requestBodyAlreadyRead()`
`IllegalStateException` `requestChannelAlreadyProvided()`
`RequestTooBigException` `requestEntityWasTooLarge(long size)`
`IllegalArgumentException` `resourceChangeListenerNotSupported()`
`IllegalStateException` `responseAlreadyStarted()`
`IllegalStateException` `responseChannelAlreadyProvided()`
`IllegalStateException` `responseComplete()`
`IllegalStateException` `responseTooLargeToBuffer(Long length)`
`IllegalStateException` `resumedAndDispatched()`
`NullPointerException` `sendChallengeReturnedNull(AuthenticationMechanism mechanism)`
`IllegalStateException` `serverNotStarted()`
`IOException` `serverReceivedPushPromise()`
`IllegalArgumentException` `servletPathMatchFailed()`
`IllegalStateException` `sessionAlreadyInvalidated()`
`IllegalStateException` `sessionIsInvalid(String sessionId)`
`IllegalStateException` `sessionManagerMustNotBeNull()`
`IllegalStateException` `sessionManagerNotFound()`
`IllegalStateException` `sessionWithIdAlreadyExists(String sessionID)`
`IOException` `sslWasNull()`
`IllegalStateException` `startBlockingHasNotBeenCalled()`
`String` `streamIdMustBeZeroForFrameType(int frameType)`
`String` `streamIdMustNotBeZeroForFrameType(int frameType)`
`IOException` `streamIsClosed()`
`IOException` `streamLimitExceeded()`
`IllegalStateException` `streamNotRegistered()`
`IllegalStateException` `tooManyCookies(int maxCookies)`
`String` `tooManyHeaders(int noParams)`
`ParameterLimitException` `tooManyParameters(int maxValues)`
`BadRequestException` `tooManyQueryParameters(int noParams)`
`IOException` `tooManyRedirects(IOException exception)`
`IllegalStateException` `tooManySessions(int maxSessions)`
`IllegalArgumentException` `unexpectedTokenInHeader(String name)`
`IllegalStateException` `upgradeNotSupported()`
`IllegalArgumentException` `userAgentCharsetMustHaveEvenNumberOfItems(String supplied)`
`String` `userAuthenticated(String userName)`
`String` `userLoggedOut(String userName)`
`IOException` `wrongMagicNumber(int number)`
`HpackException` `zeroNotValidHeaderTableIndex()`

### Field Detail

#### MESSAGES

    static final UndertowMessages MESSAGES

### Method Detail

#### maximumConcurrentRequestsMustBeLargerThanZero

    @Message(id=1,
             value="Maximum concurrent requests must be larger than zero.")
    IllegalArgumentException maximumConcurrentRequestsMustBeLargerThanZero()

#### responseAlreadyStarted

    @Message(id=2,
             value="The response has already been started")
    IllegalStateException responseAlreadyStarted()

#### responseChannelAlreadyProvided

    @Message(id=4,
             value="getResponseChannel() has already been called")
    IllegalStateException responseChannelAlreadyProvided()

#### requestChannelAlreadyProvided

    @Message(id=5,
             value="getRequestChannel() has already been called")
    IllegalStateException requestChannelAlreadyProvided()

#### handlerCannotBeNull

    @Message(id=8,
             value="Handler cannot be null")
    IllegalArgumentException handlerCannotBeNull()

#### pathMustBeSpecified

    @Message(id=9,
             value="Path must be specified")
    IllegalArgumentException pathMustBeSpecified()

#### sessionIsInvalid

    @Message(id=10,
             value="Session is invalid %s")
    IllegalStateException sessionIsInvalid(String sessionId)

#### sessionManagerMustNotBeNull

    @Message(id=11,
             value="Session manager must not be null")
    IllegalStateException sessionManagerMustNotBeNull()

#### sessionManagerNotFound

    @Message(id=12,
             value="Session manager was not attached to the request. Make sure that the SessionAttachmentHandler is installed in the handler chain")
    IllegalStateException sessionManagerNotFound()

#### argumentCannotBeNull

    @Message(id=13,
             value="Argument %s cannot be null")
    IllegalArgumentException argumentCannotBeNull(String argument)

#### formValueIsAFile

    @Message(id=17,
             value="Form value is a file, use getFileItem() instead")
    IllegalStateException formValueIsAFile()

#### formValueIsAString

    @Message(id=18,
             value="Form value is a String, use getValue() instead")
    IllegalStateException formValueIsAString()

#### requestEntityWasTooLarge

    @Message(id=20,
             value="Connection terminated as request was larger than %s")
    RequestTooBigException requestEntityWasTooLarge(long size)

#### sessionAlreadyInvalidated

    @Message(id=21,
             value="Session already invalidated")
    IllegalStateException sessionAlreadyInvalidated()

#### hashAlgorithmNotFound

    @Message(id=22,
             value="The specified hash algorithm \'%s\' can not be found.")
    IllegalArgumentException hashAlgorithmNotFound(String algorithmName)

#### invalidBase64Token

    @Message(id=23,
             value="An invalid Base64 token has been received.")
    IllegalArgumentException invalidBase64Token(@Cause
                                                                                                                             IOException cause)

#### invalidNonceReceived

    @Message(id=24,
             value="An invalidly formatted nonce has been received.")
    IllegalArgumentException invalidNonceReceived()

#### unexpectedTokenInHeader

    @Message(id=25,
             value="Unexpected token \'%s\' within header.")
    IllegalArgumentException unexpectedTokenInHeader(String name)

#### invalidHeader

    @Message(id=26,
             value="Invalid header received.")
    IllegalArgumentException invalidHeader()

#### couldNotFindSessionCookieConfig

    @Message(id=27,
             value="Could not find session cookie config in the request")
    IllegalStateException couldNotFindSessionCookieConfig()

#### chunkedChannelClosedMidChunk

    @Message(id=29,
             value="Channel was closed mid chunk, if you have attempted to write chunked data you cannot shutdown the channel until after it has all been written.")
    IOException chunkedChannelClosedMidChunk()

#### userAuthenticated

    @Message(id=30,
             value="User %s successfully authenticated.")
    String userAuthenticated(String userName)

#### userLoggedOut

    @Message(id=31,
             value="User %s has logged out.")
    String userLoggedOut(String userName)

#### streamIsClosed

    @Message(id=34,
             value="Stream is closed")
    IOException streamIsClosed()

#### startBlockingHasNotBeenCalled

    @Message(id=35,
             value="Cannot get stream as startBlocking has not been invoked")
    IllegalStateException startBlockingHasNotBeenCalled()

#### connectionTerminatedReadingMultiPartData

    @Message(id=36,
             value="Connection terminated parsing multipart data")
    IOException connectionTerminatedReadingMultiPartData()

#### failedToParsePath

    @Message(id=37,
             value="Failed to parse path in HTTP request")
    RuntimeException failedToParsePath()

#### authenticationFailed

    @Message(id=38,
             value="Authentication failed, requested user name \'%s\'")
    String authenticationFailed(String userName)

#### tooManyQueryParameters

    @Message(id=39,
             value="Too many query parameters, cannot have more than %s query parameters")
    BadRequestException tooManyQueryParameters(int noParams)

#### tooManyHeaders

    @Message(id=40,
             value="Too many headers, cannot have more than %s header")
    String tooManyHeaders(int noParams)

#### channelIsClosed

    @Message(id=41,
             value="Channel is closed")
    ClosedChannelException channelIsClosed()

#### couldNotDecodeTrailers

    @Message(id=42,
             value="Could not decode trailers in HTTP request")
    IOException couldNotDecodeTrailers()

#### dataAlreadyQueued

    @Message(id=43,
             value="Data is already being sent. You must wait for the completion callback to be be invoked before calling send() again")
    IllegalStateException dataAlreadyQueued()

#### moreThanOnePredicateWithName

    @Message(id=44,
             value="More than one predicate with name %s. Builder class %s and %s")
    IllegalStateException moreThanOnePredicateWithName(String name,
                                                                                                                                                       Class<? extends PredicateBuilder> aClass,
                                                                                                                                                       Class<? extends PredicateBuilder> existing)

#### errorParsingPredicateString

    @Message(id=45,
             value="Error parsing predicated handler string %s:%n%s")
    IllegalArgumentException errorParsingPredicateString(String reason,
                                                                                                                                           String s)

#### tooManyCookies

    @Message(id=46,
             value="The number of cookies sent exceeded the maximum of %s")
    IllegalStateException tooManyCookies(int maxCookies)

#### tooManyParameters

    @Message(id=47,
             value="The number of parameters exceeded the maximum of %s")
    ParameterLimitException tooManyParameters(int maxValues)

#### noRequestActive

    @Message(id=48,
             value="No request is currently active")
    IllegalStateException noRequestActive()

#### authMechanismOutcomeNull

    @Message(id=50,
             value="AuthenticationMechanism Outcome is null")
    IllegalStateException authMechanismOutcomeNull()

#### notAValidIpPattern

    @Message(id=51,
             value="Not a valid IP pattern %s")
    IllegalArgumentException notAValidIpPattern(String peer)

#### noSessionData

    @Message(id=52,
             value="Session data requested when non session based authentication in use")
    IllegalStateException noSessionData()

#### listenerAlreadyRegistered

    @Message(id=53,
             value="Listener %s already registered")
    IllegalArgumentException listenerAlreadyRegistered(String name)

#### maxFileSizeExceeded

    @Message(id=54,
             value="The maximum size %s for an individual file in a multipart request was exceeded")
    MultiPartParserDefinition.FileTooLargeException maxFileSizeExceeded(long maxIndividualFileSize)

#### couldNotSetAttribute

    @Message(id=55,
             value="Could not set attribute %s to %s as it is read only")
    String couldNotSetAttribute(String attributeName,
                                                                                                                      String newValue)

#### couldNotParseUriTemplate

    @Message(id=56,
             value="Could not parse URI template %s, exception at char %s")
    RuntimeException couldNotParseUriTemplate(String path,
                                                                                                                                      int i)

#### mismatchedBraces

    @Message(id=57,
             value="Mismatched braces in attribute string %s")
    RuntimeException mismatchedBraces(String valueString)

#### moreThanOneHandlerWithName

    @Message(id=58,
             value="More than one handler with name %s. Builder class %s and %s")
    IllegalStateException moreThanOneHandlerWithName(String name,
                                                                                                                                                   Class<? extends HandlerBuilder> aClass,
                                                                                                                                                   Class<? extends HandlerBuilder> existing)

#### outOfBandResponseOnlyAllowedFor100Continue

    @Message(id=61,
             value="Out of band responses only allowed for 100-continue requests")
    IllegalArgumentException outOfBandResponseOnlyAllowedFor100Continue()

#### sslWasNull

    @Message(id=65,
             value="SSL must be specified to connect to a https URL")
    IOException sslWasNull()

#### wrongMagicNumber

    @Message(id=66,
             value="Incorrect magic number %s for AJP packet header")
    IOException wrongMagicNumber(int number)

#### peerUnverified

    @Message(id=67,
             value="No client cert was provided")
    SSLPeerUnverifiedException peerUnverified()

#### servletPathMatchFailed

    @Message(id=68,
             value="Servlet path match failed")
    IllegalArgumentException servletPathMatchFailed()

#### couldNotParseCookie

    @Message(id=69,
             value="Could not parse set cookie header %s")
    IllegalArgumentException couldNotParseCookie(String headerValue)

#### canOnlyBeCalledByIoThread

    @Message(id=70,
             value="method can only be called by IO thread")
    IllegalStateException canOnlyBeCalledByIoThread()

#### matcherAlreadyContainsTemplate

    @Message(id=71,
             value="Cannot add path template %s, matcher already contains an equivalent pattern %s")
    IllegalStateException matcherAlreadyContainsTemplate(String templateString,
                                                                                                                                                                          String templateString1)

#### failedToDecodeURL

    @Message(id=72,
             value="Failed to decode url %s to charset %s")
    UrlDecodeException failedToDecodeURL(String s,
                                                                                                                 String enc,
                                                                                                                 @Cause
                                                                                                                 Exception e)

#### resourceChangeListenerNotSupported

    @Message(id=73,
             value="Resource change listeners are not supported")
    IllegalArgumentException resourceChangeListenerNotSupported()

#### objectWasFreed

    @Message(id=75,
             value="Object was freed")
    IllegalStateException objectWasFreed()

#### handlerNotShutdown

    @Message(id=76,
             value="Handler not shutdown")
    IllegalStateException handlerNotShutdown()

#### upgradeNotSupported

    @Message(id=77,
             value="The underlying transport does not support HTTP upgrade")
    IllegalStateException upgradeNotSupported()

#### renegotiationNotSupported

    @Message(id=78,
             value="Renegotiation not supported")
    IOException renegotiationNotSupported()

#### notAValidRegularExpressionPattern

    @Message(id=80,
             value="Not a valid regular expression pattern %s")
    IllegalArgumentException notAValidRegularExpressionPattern(String pattern)

#### badRequest

    @Message(id=81,
             value="Bad request")
    BadRequestException badRequest()

#### hostAlreadyRegistered

    @Message(id=82,
             value="Host %s already registered")
    RuntimeException hostAlreadyRegistered(Object host)

#### hostHasNotBeenRegistered

    @Message(id=83,
             value="Host %s has not been registered")
    RuntimeException hostHasNotBeenRegistered(Object host)

#### extraDataWrittenAfterChunkEnd

    @Message(id=84,
             value="Attempted to write additional data after the last chunk")
    IOException extraDataWrittenAfterChunkEnd()

#### couldNotGenerateUniqueSessionId

    @Message(id=85,
             value="Could not generate unique session id")
    RuntimeException couldNotGenerateUniqueSessionId()

#### controlFrameCannotHaveBodyContent

    @Message(id=88,
             value="SPDY control frames cannot have body content")
    IOException controlFrameCannotHaveBodyContent()

#### bufferAlreadyFreed

    @Message(id=91,
             value="Buffer has already been freed")
    IllegalStateException bufferAlreadyFreed()

#### awaitCalledFromIoThread

    @Message(id=94,
             value="Blocking await method called from IO thread. Blocking IO must be dispatched to a worker thread or deadlocks will result.")
    IOException awaitCalledFromIoThread()

#### recursiveCallToFlushingSenders

    @Message(id=95,
             value="Recursive call to flushSenders()")
    RuntimeException recursiveCallToFlushingSenders()

#### fixedLengthOverflow

    @Message(id=96,
             value="More data was written to the channel than specified in the content-length")
    IllegalStateException fixedLengthOverflow()

#### ajpRequestAlreadyInProgress

    @Message(id=97,
             value="AJP request already in progress")
    IllegalStateException ajpRequestAlreadyInProgress()

#### httpPingDataMustBeLength8

    @Message(id=98,
             value="HTTP ping data must be 8 bytes in length")
    String httpPingDataMustBeLength8()

#### invalidPingSize

    @Message(id=99,
             value="Received a ping of size other than 8")
    String invalidPingSize()

#### streamIdMustBeZeroForFrameType

    @Message(id=100,
             value="stream id must be zero for frame type %s")
    String streamIdMustBeZeroForFrameType(int frameType)

#### streamIdMustNotBeZeroForFrameType

    @Message(id=101,
             value="stream id must not be zero for frame type %s")
    String streamIdMustNotBeZeroForFrameType(int frameType)

#### http2StreamWasReset

    @Message(id=103,
             value="Http2 stream was reset")
    IOException http2StreamWasReset()

#### incorrectHttp2Preface

    @Message(id=104,
             value="Incorrect HTTP2 preface")
    IOException incorrectHttp2Preface()

#### http2FrameTooLarge

    @Message(id=105,
             value="HTTP2 frame to large")
    IOException http2FrameTooLarge()

#### http2ContinuationFrameNotExpected

    @Message(id=106,
             value="HTTP2 continuation frame received without a corresponding headers or push promise frame")
    IOException http2ContinuationFrameNotExpected()

#### huffmanEncodedHpackValueDidNotEndWithEOS

    @Message(id=107,
             value="Huffman encoded value in HPACK headers did not end with EOS padding")
    HpackException huffmanEncodedHpackValueDidNotEndWithEOS()

#### integerEncodedOverTooManyOctets

    @Message(id=108,
             value="HPACK variable length integer encoded over too many octects, max is %s")
    HpackException integerEncodedOverTooManyOctets(int maxIntegerOctets)

#### zeroNotValidHeaderTableIndex

    @Message(id=109,
             value="Zero is not a valid header table index")
    HpackException zeroNotValidHeaderTableIndex()

#### cannotSendContinueResponse

    @Message(id=110,
             value="Cannot send 100-Continue, getResponseChannel() has already been called")
    IOException cannotSendContinueResponse()

#### parserDidNotMakeProgress

    @Message(id=111,
             value="Parser did not make progress")
    IOException parserDidNotMakeProgress()

#### headersStreamCanOnlyBeCreatedByClient

    @Message(id=112,
             value="Only client side can call createStream, if you wish to send a PUSH_PROMISE frame use createPushPromiseStream instead")
    IOException headersStreamCanOnlyBeCreatedByClient()

#### pushPromiseCanOnlyBeCreatedByServer

    @Message(id=113,
             value="Only the server side can send a push promise stream")
    IOException pushPromiseCanOnlyBeCreatedByServer()

#### invalidAclRule

    @Message(id=114,
             value="Invalid IP access control rule %s. Format is: [ip-match] allow|deny")
    IllegalArgumentException invalidAclRule(String rule)

#### serverReceivedPushPromise

    @Message(id=115,
             value="Server received PUSH_PROMISE frame from client")
    IOException serverReceivedPushPromise()

#### connectNotSupported

    @Message(id=116,
             value="CONNECT not supported by this connector")
    IllegalStateException connectNotSupported()

#### notAConnectRequest

    @Message(id=117,
             value="Request was not a CONNECT request")
    IllegalStateException notAConnectRequest()

#### cannotResetBuffer

    @Message(id=118,
             value="Cannot reset buffer, response has already been commited")
    IllegalStateException cannotResetBuffer()

#### http2PriRequestFailed

    @Message(id=119,
             value="HTTP2 via prior knowledge failed")
    IOException http2PriRequestFailed()

#### outOfBandResponseNotSupported

    @Message(id=120,
             value="Out of band responses are not allowed for this connector")
    IllegalStateException outOfBandResponseNotSupported()

#### tooManySessions

    @Message(id=121,
             value="Session was rejected as the maximum number of sessions (%s) has been hit")
    IllegalStateException tooManySessions(int maxSessions)

#### proxyConnectionFailed

    @Message(id=122,
             value="CONNECT attempt failed as target proxy returned %s")
    IOException proxyConnectionFailed(int responseCode)

#### mcmpMessageRejectedDueToSuspiciousCharacters

    @Message(id=123,
             value="MCMP message %s rejected due to suspicious characters")
    RuntimeException mcmpMessageRejectedDueToSuspiciousCharacters(String data)

#### rengotiationTimedOut

    @Message(id=124,
             value="renegotiation timed out")
    IllegalStateException rengotiationTimedOut()

#### requestBodyAlreadyRead

    @Message(id=125,
             value="Request body already read")
    IllegalStateException requestBodyAlreadyRead()

#### blockingIoFromIOThread

    @Message(id=126,
             value="Attempted to do blocking IO from the IO thread. This is prohibited as it may result in deadlocks")
    IllegalStateException blockingIoFromIOThread()

#### responseComplete

    @Message(id=127,
             value="Response has already been sent")
    IllegalStateException responseComplete()

#### couldNotReadContentLengthData

    @Message(id=128,
             value="Remote peer closed connection before all data could be read")
    IOException couldNotReadContentLengthData()

#### failedToSendAfterBeingSafe

    @Message(id=129,
             value="Failed to send after being safe to send")
    IllegalStateException failedToSendAfterBeingSafe()

#### reasonPhraseToLargeForBuffer

    @Message(id=130,
             value="HTTP reason phrase was too large for the buffer. Either provide a smaller message or a bigger buffer. Phrase: %s")
    IllegalStateException reasonPhraseToLargeForBuffer(String phrase)

#### poolIsClosed

    @Message(id=131,
             value="Buffer pool is closed")
    IllegalStateException poolIsClosed()

#### hpackFailed

    @Message(id=132,
             value="HPACK decode failed")
    HpackException hpackFailed()

#### notAnUpgradeRequest

    @Message(id=133,
             value="Request did not contain an Upgrade header, upgrade is not permitted")
    IllegalStateException notAnUpgradeRequest()

#### authenticationPropertyNotSet

    @Message(id=134,
             value="Authentication mechanism %s requires property %s to be set")
    IllegalStateException authenticationPropertyNotSet(String name,
                                                                                                                                                     String header)

#### rengotiationFailed

    @Message(id=135,
             value="renegotiation failed")
    IllegalStateException rengotiationFailed()

#### userAgentCharsetMustHaveEvenNumberOfItems

    @Message(id=136,
             value="User agent charset string must have an even number of items, in the form pattern,charset,pattern,charset,... Instead got: %s")
    IllegalArgumentException userAgentCharsetMustHaveEvenNumberOfItems(String supplied)

#### datasourceNotFound

    @Message(id=137,
             value="Could not find the datasource called %s")
    IllegalArgumentException datasourceNotFound(String ds)

#### serverNotStarted

    @Message(id=138,
             value="Server not started")
    IllegalStateException serverNotStarted()

#### exchangeAlreadyComplete

    @Message(id=139,
             value="Exchange already complete")
    IllegalStateException exchangeAlreadyComplete()

#### notHandshakeRecord

    @Message(id=140,
             value="Initial SSL/TLS data is not a handshake record")
    SSLHandshakeException notHandshakeRecord()

#### invalidHandshakeRecord

    @Message(id=141,
             value="Initial SSL/TLS handshake record is invalid")
    SSLHandshakeException invalidHandshakeRecord()

#### multiRecordSSLHandshake

    @Message(id=142,
             value="Initial SSL/TLS handshake spans multiple records")
    SSLHandshakeException multiRecordSSLHandshake()

#### expectedClientHello

    @Message(id=143,
             value="Expected \"client hello\" record")
    SSLHandshakeException expectedClientHello()

#### expectedServerHello

    @Message(id=144,
             value="Expected server hello")
    SSLHandshakeException expectedServerHello()

#### tooManyRedirects

    @Message(id=145,
             value="Too many redirects")
    IOException tooManyRedirects(@Cause
                                                                                       IOException exception)

#### resumedAndDispatched

    @Message(id=146,
             value="HttpServerExchange cannot have both async IO resumed and dispatch() called in the same cycle")
    IllegalStateException resumedAndDispatched()

#### noHostInHttp11Request

    @Message(id=147,
             value="No host header in a HTTP/1.1 request")
    IOException noHostInHttp11Request()

#### invalidHpackEncoding

    @Message(id=148,
             value="Invalid HPack encoding. First byte: %s")
    HpackException invalidHpackEncoding(byte b)

#### newlineNotSupportedInHttpString

    @Message(id=149,
             value="HttpString is not allowed to contain newlines. value: %s")
    IllegalArgumentException newlineNotSupportedInHttpString(String value)

#### pseudoHeaderInWrongOrder

    @Message(id=150,
             value="Pseudo header %s received after receiving normal headers. Pseudo headers must be the first headers in a HTTP/2 header block.")
    String pseudoHeaderInWrongOrder(HttpString header)

#### expectedContinuationFrame

    @Message(id=151,
             value="Expected to receive a continuation frame")
    String expectedContinuationFrame()

#### incorrectFrameSize

    @Message(id=152,
             value="Incorrect frame size")
    String incorrectFrameSize()

#### streamNotRegistered

    @Message(id=153,
             value="Stream id not registered")
    IllegalStateException streamNotRegistered()

#### sendChallengeReturnedNull

    @Message(id=154,
             value="Mechanism %s returned a null result from sendChallenge()")
    NullPointerException sendChallengeReturnedNull(AuthenticationMechanism mechanism)

#### bodyIsSetAndNotReadyForFlush

    @Message(id=155,
             value="Framed channel body was set when it was not ready for flush")
    IllegalStateException bodyIsSetAndNotReadyForFlush()

#### invalidGzipHeader

    @Message(id=156,
             value="Invalid GZIP header")
    IOException invalidGzipHeader()

#### invalidGZIPFooter

    @Message(id=157,
             value="Invalid GZIP footer")
    IOException invalidGZIPFooter()

#### responseTooLargeToBuffer

    @Message(id=158,
             value="Response of length %s is too large to buffer")
    IllegalStateException responseTooLargeToBuffer(Long length)

#### headerBlockTooLarge

    @Message(id=161,
             value="HTTP/2 header block is too large")
    String headerBlockTooLarge()

#### invalidSameSiteMode

    @Message(id=162,
             value="An invalid SameSite attribute [%s] is specified. It must be one of %s")
    IllegalArgumentException invalidSameSiteMode(String mode,
                                                                                                                                                          String validAttributes)

#### invalidToken

    @Message(id=163,
             value="Invalid token %s")
    IllegalArgumentException invalidToken(byte c)

#### invalidHeaders

    @Message(id=164,
             value="Request contained invalid headers")
    IllegalArgumentException invalidHeaders()

#### invalidCharacterInRequestTarget

    @Message(id=165,
             value="Invalid character %s in request-target")
    String invalidCharacterInRequestTarget(char next)

#### objectIsClosed

    @Message(id=166,
             value="Pooled object is closed")
    IllegalStateException objectIsClosed()

#### moreThanOneHostHeader

    @Message(id=167,
             value="More than one host header in request")
    IOException moreThanOneHostHeader()

#### invalidCookieValue

    @Message(id=168,
             value="An invalid character [ASCII code: %s] was present in the cookie value")
    IllegalArgumentException invalidCookieValue(String value)

#### invalidCookieDomain

    @Message(id=169,
             value="An invalid domain [%s] was specified for this cookie")
    IllegalArgumentException invalidCookieDomain(String value)

#### invalidCookiePath

    @Message(id=170,
             value="An invalid path [%s] was specified for this cookie")
    IllegalArgumentException invalidCookiePath(String value)

#### invalidControlCharacter

    @Message(id=173,
             value="An invalid control character [%s] was present in the cookie value or attribute")
    IllegalArgumentException invalidControlCharacter(String value)

#### invalidEscapeCharacter

    @Message(id=174,
             value="An invalid escape character in cookie value")
    IllegalArgumentException invalidEscapeCharacter()

#### invalidHpackIndex

    @Message(id=175,
             value="Invalid Hpack index %s")
    HpackException invalidHpackIndex(int index)

#### bufferPoolTooSmall

    @Message(id=178,
             value="Buffer pool is too small, min size is %s")
    IllegalArgumentException bufferPoolTooSmall(int minSize)

#### invalidProxyHeader

    @Message(id=179,
             value="Invalid PROXY protocol header")
    IOException invalidProxyHeader()

#### headerSizeToLarge

    @Message(id=180,
             value="PROXY protocol header exceeded max size of 107 bytes")
    IOException headerSizeToLarge()

#### http2TrailerToLargeForSingleBuffer

    @Message(id=181,
             value="HTTP/2 trailers too large for single buffer")
    RuntimeException http2TrailerToLargeForSingleBuffer()

#### pingNotSupported

    @Message(id=182,
             value="Ping not supported")
    IOException pingNotSupported()

#### pingTimeout

    @Message(id=183,
             value="Ping timed out")
    IOException pingTimeout()

#### streamLimitExceeded

    @Message(id=184,
             value="Stream limit exceeded")
    IOException streamLimitExceeded()

#### invalidIpAddress

    @Message(id=185,
             value="Invalid IP address %s")
    IOException invalidIpAddress(String addressString)

#### invalidTlsExt

    @Message(id=186,
             value="Invalid TLS extension")
    SSLException invalidTlsExt()

#### notEnoughData

    @Message(id=187,
             value="Not enough data")
    SSLException notEnoughData()

#### emptyHostNameSni

    @Message(id=188,
             value="Empty host name in SNI extension")
    SSLException emptyHostNameSni()

#### duplicatedSniServerName

    @Message(id=189,
             value="Duplicated host name of type %s")
    SSLException duplicatedSniServerName(int type)

#### noContextForSslConnection

    @Message(id=190,
             value="No context for SSL connection")
    SSLException noContextForSslConnection()

#### defaultContextCannotBeNull

    @Message(id=191,
             value="Default context cannot be null")
    IllegalStateException defaultContextCannotBeNull()

#### formValueIsInMemoryFile

    @Message(id=192,
             value="Form value is a in-memory file, use getFileItem() instead")
    IllegalStateException formValueIsInMemoryFile()

#### failedToDecodeParameterValue

    @Message(id=193,
             value="Character decoding failed. Parameter [%s] with value [%s] has been ignored. Note: further occurrences of Parameter errors will be logged at DEBUG level.")
    String failedToDecodeParameterValue(String parameter,
                                                                                                                                                                                                                                    String value,
                                                                                                                                                                                                                                    @Cause
                                                                                                                                                                                                                                    Exception e)

#### failedToDecodeParameterName

    @Message(id=194,
             value="Character decoding failed. Parameter with name [%s] has been ignored. Note: further occurrences of Parameter errors will be logged at DEBUG level.")
    String failedToDecodeParameterName(String parameter,
                                                                                                                                                                                                                             @Cause
                                                                                                                                                                                                                             Exception e)

#### chunkSizeTooLarge

    @Message(id=195,
             value="Chunk size too large")
    IOException chunkSizeTooLarge()

#### sessionWithIdAlreadyExists

    @Message(id=196,
             value="Session with id %s already exists")
    IllegalStateException sessionWithIdAlreadyExists(String sessionID)

#### blockingReadTimedOut

    @Message(id=197,
             value="Blocking read timed out after %s nanoseconds.")
    org.xnio.channels.ReadTimeoutException blockingReadTimedOut(long timeoutNanoseconds)

#### blockingWriteTimedOut

    @Message(id=198,
             value="Blocking write timed out after %s nanoseconds.")
    org.xnio.channels.WriteTimeoutException blockingWriteTimedOut(long timeoutNanoseconds)

#### readTimedOut

    @Message(id=199,
             value="Read timed out after %s milliseconds.")
    org.xnio.channels.ReadTimeoutException readTimedOut(long timeoutMilliseconds)

#### failedToReplaceHashOutputStream

    @Message(id=200,
             value="Failed to replace hash output stream ")
    SSLException failedToReplaceHashOutputStream(@Cause
                                                                                                                          Exception e)

#### failedToReplaceHashOutputStreamOnWrite

    @Message(id=201,
             value="Failed to replace hash output stream ")
    RuntimeException failedToReplaceHashOutputStreamOnWrite(@Cause
                                                                                                                                     Exception e)

#### failedToInitializePathManager

    @Message(id=202,
             value="Failed to initialize path manager for \'%s\' path.")
    RuntimeException failedToInitializePathManager(String path,
                                                                                                                                         @Cause
                                                                                                                                         IOException ioe)

#### invalidACLAddress

    @Message(id=203,
             value="Invalid ACL entry")
    IllegalArgumentException invalidACLAddress(@Cause
                                                                                                    Exception e)

#### noWindowUpdate

    @Message(id=204,
             value="Out of flow control window: no WINDOW_UPDATE received from peer within %s miliseconds")
    IOException noWindowUpdate(long timeoutMiliseconds)

#### pathNotADirectory

    @Message(id=205,
             value="Path is not a directory \'%s\'")
    IOException pathNotADirectory(Path path)

#### pathElementIsRegularFile

    @Message(id=206,
             value="Path \'%s\' is not a directory")
    IOException pathElementIsRegularFile(Path path)